package com.logicbig.example;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import javax.annotation.PostConstruct;

@Component
public class ClientBean {
    @Value("${title}")
    private String title;
    @Value("${active}")
    private boolean active;

    @PostConstruct
    private void postConstruct() {
        System.out.printf("title= %s, active= %s%n", title, active);
    }
}